Debian Bug report logs - #286672
mail-notification: Can't use SSL/TLS

version graph

Package: mail-notification; Maintainer for mail-notification is Stephen Kitt <skitt@debian.org>; Source for mail-notification is src:mail-notification.

Reported by: Carlos Liu <carlosliu@users.sourceforge.net>

Date: Tue, 21 Dec 2004 12:48:12 UTC

Severity: important

Tags: help, patch

Found in versions 1.0-1, mail-notification/5.4.dfsg.1-1

Fixed in version mail-notification/5.4.dfsg.1-2.5

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <evilynux@yahoo.com>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Carlos Liu <carlosliu@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Pascal Giard <evilynux@yahoo.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Carlos Z.F. Liu" <carlosliu@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mail-notification: Can't use SSL/TLS
Date: Wed, 22 Dec 2004 01:41:22 +1300
Package: mail-notification
Version: 1.0-1
Severity: normal

Hello,

SSL was disabled in this application. Why? Is it just a configuration
problem or the program's bug? Without SSL, mail-notification became
useless to me.

Thanks.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=en_NZ.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)

Versions of packages mail-notification depends on:
ii  debconf [debconf-2.0]     1.4.41         Debian configuration management sy
ii  gconf2                    2.8.1-4        GNOME configuration database syste
ii  libart-2.0-2              2.3.16-6       Library of functions for 2D graphi
ii  libatk1.0-0               1.8.0-4        The ATK accessibility toolkit
ii  libbonobo2-0              2.8.0-3        Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.8.0-2        The Bonobo UI library
ii  libc6                     2.3.2.ds1-19   GNU C Library: Shared libraries an
ii  libeel2-2                 2.8.2-1        Eazel Extensions Library (for GNOM
ii  libgail-common            1.8.0-2        GNOME Accessibility Implementation
ii  libgail17                 1.8.0-2        GNOME Accessibility Implementation
ii  libgconf2-4               2.8.1-4        GNOME configuration database syste
ii  libglade2-0               1:2.4.0-1      Library to load .glade files at ru
ii  libglib2.0-0              2.4.8-1        The GLib library of C routines
ii  libgmime2.1               2.1.9-2        MIME library, unstable version
ii  libgnome2-0               2.8.0-6        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.8.0-1        A powerful object-oriented display
ii  libgnomeui-0              2.8.0-3        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            2.8.3-6        The GNOME virtual file-system libr
ii  libgnutls11               1.0.16-13      GNU TLS library - runtime library
ii  libgtk2.0-0               2.4.14-1       The GTK+ graphical user interface 
hi  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  liborbit2                 1:2.10.2-1.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.6.0-3        Layout and rendering of internatio
ii  libpopt0                  1.7-5          lib for parsing cmdline parameters
ii  libsasl2                  2.1.19-1.5     Authentication abstraction library
hi  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libsoup2.2-7              2.2.1-1        an HTTP library implementation in 
hi  libx11-6                  4.3.0.dfsg.1-8 X Window System protocol client li
ii  libxml2                   2.6.11-5       GNOME XML library
hi  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  zlib1g                    1:1.2.2-4      compression library - runtime

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <evilynux@yahoo.com>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Wouter <uws@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <evilynux@yahoo.com>. Full text and rfc822 format available.

Message #10 received at 286672@bugs.debian.org (full text, mbox):

From: Wouter <uws@xs4all.nl>
To: 286672@bugs.debian.org
Cc: control@bugs.debian.org
Subject: severity 286672 important
Date: Tue, 21 Dec 2004 15:38:34 +0100
severity 286672 important
thanks

Not having SSL support renders the packages useless for a lot of people
(including me). The mail-notification homepage provides a .deb with SSL
support (I'm using that one in the mean time). It's really easy to fix (one
compile flag), so please fix it.

  bye, Wouter

-- 
:wq                                                       mail uws@xs4all.nl

now she's gone love burns inside me           -- black rebel motorcycle club



Severity set to `important'. Request was from Wouter <uws@xs4all.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <evilynux@yahoo.com>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <evilynux@yahoo.com>. Full text and rfc822 format available.

Message #17 received at 286672@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: control@bugs.debian.org, Wouter <uws@xs4all.nl>
Cc: "Jean-Yves Lefort" <jylefort@brutele.be>, 286672@bugs.debian.org
Subject: Re: mail-notification: Can't use SSL/TLS
Date: Thu, 23 Dec 2004 02:34:18 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 286672 wontfix help

thx!

| SSL was disabled in this application. Why? Is it just a
| configuration problem or the program's bug? Without SSL,
| mail-notification became useless to me.

it's not a bug nor a configuration problem.
i had to disable it for mail-notification to be accepted in Debian.

here's what i previously got from an ftp-master:

This software is licensed under the GPL but appears to link with
OpenSSL.  This doesn't work due to license conflicts (see
debian-legal, debian-devel-announce archives for more details).
Please convince upstream to add an exception to the GPL which allows
linking with OpenSSL or point out if I am missing something.

- -- end of extract

Jean-Yves disagrees with the interpretation done by the debian legal team:

As long as dynamic linking is involved, I do not agree with that
interpretation.

Mail Notification does not contain OpenSSL code, and therefore the
clauses #3 and #6 of the OpenSSL license do not apply to it.

As of GPL clause #6, the "Program" is Mail Notification, not Mail
Notification + the libraries it may dynamically link against.

If this is a problem for the Debian project, I suggest you ship a
package compiled using ./configure --disable-ssl. I'm not changing my
license.

Regards,
Jean-Yves Lefort

- -- end of extract

See the following link for more information about the OpenSSL+GPL
license issue:
http://www.gnome.org/~markmc/openssl-and-the-gpl.html
<http://www.gnome.org/%7Emarkmc/openssl-and-the-gpl.html>

I'm tagging this bug wontfix and help as i can't do anything about it.

- -Pascal
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBynT51Lfd97FsypURAsJaAJ40WODYrSlECygatK/kyRh0Efz3VwCgpU0K
CLMWodlTW2aVAWaTJMjq0Fc=
=j7HY
-----END PGP SIGNATURE-----




Tags added: wontfix, help Request was from Pascal Giard <evilynux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Chun-Chung Chen <cjj@u.washington.edu>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. Full text and rfc822 format available.

Message #24 received at 286672@bugs.debian.org (full text, mbox):

From: Chun-Chung Chen <cjj@u.washington.edu>
To: 286672@bugs.debian.org
Subject: Re: mail-notification: Can't use SSL/TLS
Date: Mon, 15 Aug 2005 10:06:24 -0400
Since the author explicitly expressed that the program can be
distributed with dynamically linked OpenSSL.  Why not just use the email
from the author as a permission statement and include it in the
documentation?

-- 
Chun-Chung Chen



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to "Charles Griffin" <cngriffin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. Full text and rfc822 format available.

Message #29 received at 286672@bugs.debian.org (full text, mbox):

From: "Charles Griffin" <cngriffin@gmail.com>
To: 286672@bugs.debian.org
Subject: Please reconsider SSL support
Date: Mon, 24 Jul 2006 22:45:37 -0400
[Message part 1 (text/plain, inline)]
If there is any way to provide SSL support for this package, I would be very
grateful.  I understand there may be some licensing issues but I think
upstream should reconsider.  Not having SSL support renders this application
useless for me.

Thank you.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. Full text and rfc822 format available.

Message #34 received at 286672@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 286672@bugs.debian.org
Subject: re: Please reconsider SSL support
Date: Sun, 27 Aug 2006 20:40:05 +0100
[Message part 1 (text/plain, inline)]
Charles, you have to take it up with upstream. Debian simply does not
have permission to distribute binaries of mail-notification compiled
with OpenSSL support.

Another alternative would be to port mail-notification to use the Gnu
TLS library... :)

-- 
Sam Morris
http://robots.org.uk/

PGP key id 1024D/5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#286672; Package mail-notification. Full text and rfc822 format available.

Acknowledgement sent to Pascal <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. Full text and rfc822 format available.

Message #39 received at 286672@bugs.debian.org (full text, mbox):

From: Pascal <evilynux@gmail.com>
To: 286672@bugs.debian.org
Subject: Status
Date: Sat, 2 Sep 2006 00:38:16 -0400
As a follow up on this, i'm currently looking into patching
mail-notification to use GnuTLS instead of OpenSSL.
Now, please don't read this as a promise that SSL/TLS support will be
back in mail-notification soon.

If you're willing to help on this front, you're very much welcome.
You can help by:
- writing a patch;
- giving tips on doing the port;
- providing anything else relevant to this task;
- trying to convince the upstream author that it would be a good idea[?].

It might also be of interest to mention that Ubuntu users would also
like to see SSL/TLS support. See bug report:
https://launchpad.net/distros/ubuntu/+source/mail-notification/+bug/44335

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)



Information forwarded to debian-bugs-dist@lists.debian.org, christi@uni-hd.de, Pascal Giard <pascal@debian.org>:
Bug#286672; Package mail-notification. (Sat, 04 Oct 2008 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Engwer <christi@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to christi@uni-hd.de, Pascal Giard <pascal@debian.org>. (Sat, 04 Oct 2008 19:21:03 GMT) Full text and rfc822 format available.

Message #44 received at 286672@bugs.debian.org (full text, mbox):

From: Christian Engwer <christi@uni-hd.de>
To: Debian Bug Tracking System <286672@bugs.debian.org>
Subject: mail-notification: Please find a consistent solution for all debian packages
Date: Sat, 04 Oct 2008 21:18:52 +0200
Package: mail-notification
Version: 5.4.dfsg.1-1
Followup-For: Bug #286672


It seems that different maintainers interpret this issue differently.
The FAQ of the openssl package follows the official interpretation of
upstream openssl. Several other packages link against libssl although
they are licensed under gpl (e.g. kcontrol, inkscape, balsa, ...).
I would like to have this issue clearified and to have a consistent
interpretation for all debian packages.

I think many packages are rather useless without ssl support (like
mail-notification). If there exists consens in debian, that gpl
programs can not be distributed with libssl linked, I think it must be
a high priority for debian to make openssl-compat a full drop-in
replacement for libssl.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (600, 'testing'), (500, 'testing-proposed-updates'), (500, 'stable'), (1, 'experimental'), (1, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mail-notification depends on:
ii  gconf2                 2.22.0-1          GNOME configuration database syste
ii  gnome-icon-theme       2.22.0-1          GNOME Desktop icon theme
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libbonobo2-0           2.22.0-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.22.0-1          The Bonobo UI library
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-6           The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.1-3           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.76-1            simple interprocess messaging syst
ii  libgconf2-4            2.22.0-1          GNOME configuration database syste
ii  libglade2-0            1:2.6.2-1         library to load .glade files at ru
ii  libglib2.0-0           2.16.5-1          The GLib library of C routines
ii  libgmime-2.0-2a        2.2.21-1          MIME library
ii  libgnome-keyring0      2.22.3-1          GNOME keyring services library
ii  libgnome2-0            2.20.1.1-1        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0      2.20.1.1-1        A powerful object-oriented display
ii  libgnomeui-0           2.20.1.1-1        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0         1:2.22.0-5        GNOME Virtual File System (runtime
ii  libgnomevfs2-extra     1:2.22.0-5        GNOME Virtual File System (extra m
ii  libgtk2.0-0            2.12.11-3         The GTK+ graphical user interface 
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1 0.4.4-3           sends desktop notifications to a n
ii  liborbit2              1:2.14.13-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.20.5-2          Layout and rendering of internatio
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  libsasl2-2             2.1.22.dfsg1-23   Cyrus SASL - authentication abstra
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libssl0.9.8            0.9.8g-13         SSL shared libraries
ii  libx11-6               2:1.1.5-1         X11 client-side library
ii  libxml2                2.6.32.dfsg-4     GNOME XML library
ii  notification-daemon    0.3.7-1+b1        a daemon that displays passive pop
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

mail-notification recommends no packages.

Versions of packages mail-notification suggests:
pn  fetchyahoo                    <none>     (no description available)
pn  getlive                       <none>     (no description available)
pn  mail-notification-evolution   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Sun, 18 Oct 2009 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mi.braun@onlinehome.de:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sun, 18 Oct 2009 17:18:03 GMT) Full text and rfc822 format available.

Message #49 received at 286672@bugs.debian.org (full text, mbox):

From: "M. Braun" <michael-dev@fami-braun.de>
To: 286672@bugs.debian.org
Subject: Patches for gnutls
Date: Sun, 18 Oct 2009 19:12:10 +0200
[Message part 1 (text/plain, inline)]
Dear package maintainer,

please find patches to make mail notification work with gnutls
attached to the ubuntu bug report. They apply to the vanilla
mail notification 5.4 and introduce only gnutls as a new build
and runtime dependeny (no diff for control file included).

Sincerely
 AZ

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Mon, 28 Mar 2011 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rupert Swarbrick <rswarbrick@gmail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Mon, 28 Mar 2011 09:33:05 GMT) Full text and rfc822 format available.

Message #54 received at 286672@bugs.debian.org (full text, mbox):

From: Rupert Swarbrick <rswarbrick@gmail.com>
To: 286672@bugs.debian.org
Subject: Patch to enable gnutls
Date: Mon, 28 Mar 2011 10:29:10 +0100
[Message part 1 (text/plain, inline)]
As M. Braun said in his previous message (in 2009), there is in fact a
patch to enable gnutls support (which he wrote!).

I've extracted the code from the massive zip file that's linked at the
Ubuntu bug report and have made the required changes to the debian
control file to use it.

I *think* this should work. Anyway, (Dear Maintainer!): could you try
building with the attached patch? It might need a bit of cleaning up,
but it seems that it would be good to put this long-standing bug to rest
at last.

The attached patch applies to the current debian source package
(5.4.dfsg.1-2.5).


Rupert


[add-gnutls-support.patch (text/x-diff, inline)]
diff -ur mail-notification-5.4.dfsg.1/debian//control mail-notification-5.4.dfsg.1.new/debian//control
--- mail-notification-5.4.dfsg.1/debian//control	2011-02-27 23:50:20.000000000 +0000
+++ mail-notification-5.4.dfsg.1.new/debian//control	2011-03-28 10:09:13.000000000 +0100
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: LIU Qi <liuqi82@gmail.com>
-Build-Depends: debhelper (>= 7), scrollkeeper, gnome-pkg-tools, libxml-parser-perl, libglade2-dev (>= 2.6.0), libsasl2-dev (>= 2.0.0), libgmime-2.4-dev, evolution-dev (>= 2.11.0), evolution-plugins (>= 2.6.0), evolution-data-server-dev (>= 1.6.0), libgnomeprintui2.2-dev, libnotify-dev (>= 0.4.3), intltool (>= 0.35), gob2 (>= 2.0.16), libx11-dev
+Build-Depends: debhelper (>= 7), scrollkeeper, gnome-pkg-tools, libxml-parser-perl, libglade2-dev (>= 2.6.0), libsasl2-dev (>= 2.0.0), libgmime-2.4-dev, evolution-dev (>= 2.11.0), evolution-plugins (>= 2.6.0), evolution-data-server-dev (>= 1.6.0), libgnomeprintui2.2-dev, libnotify-dev (>= 0.4.3), intltool (>= 0.35), gob2 (>= 2.0.16), libx11-dev, libgnutls-dev (>= 2.0.4)
 Standards-Version: 3.9.1
 
 Package: mail-notification
@@ -21,7 +21,7 @@
    * Mozilla products (Mozilla, SeaMonkey, Thunderbird, ...) mailbox support
    * SASL authentication support
    * APOP authentication support
-   * SSL/TLS support (disabled, see README.Debian)
+   * SSL/TLS support (using gnutls, see README.Debian)
    * automatic detection of mailbox format
    * immediate notification (depends on your settings)
    * HIG 2.0 compliance
diff -ur mail-notification-5.4.dfsg.1/debian//patches/series mail-notification-5.4.dfsg.1.new/debian//patches/series
--- mail-notification-5.4.dfsg.1/debian//patches/series	2011-03-13 22:14:01.000000000 +0000
+++ mail-notification-5.4.dfsg.1.new/debian//patches/series	2011-03-28 10:15:17.000000000 +0100
@@ -9,3 +9,4 @@
 strict-libs.patch
 evolution-2.32.patch
 ignore-junk.patch
+add-gnutls.patch
diff -ur mail-notification-5.4.dfsg.1/debian//README.Debian mail-notification-5.4.dfsg.1.new/debian//README.Debian
--- mail-notification-5.4.dfsg.1/debian//README.Debian	2010-05-26 05:55:55.000000000 +0100
+++ mail-notification-5.4.dfsg.1.new/debian//README.Debian	2011-03-28 10:08:06.000000000 +0100
@@ -9,8 +9,9 @@
 
 1. SSL
 ------
-I had to disable SSL because of a license issue.
-It doesn't look like the issue is going to be solved soon.
+
+SSL support is available using gnutls, thanks to a patch by Michael
+Braun <michael-dev@fami-braun.de>.
 
 See the Debian BTS thread:
 http://bugs.debian.org/286672
diff -ur mail-notification-5.4.dfsg.1/debian//rules mail-notification-5.4.dfsg.1.new/debian//rules
--- mail-notification-5.4.dfsg.1/debian//rules	2010-05-26 05:55:55.000000000 +0100
+++ mail-notification-5.4.dfsg.1.new/debian//rules	2011-03-28 09:48:18.000000000 +0100
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./jb configure ssl=no sysconfdir=/etc destdir=$(DEBIAN_DIR)/tmp/ cppflags="-I/usr/include/libgtkhtml-3.14 -I/usr/include/libgtkhtml-3.14/editor"
+	./jb configure gnutls=yes sysconfdir=/etc destdir=$(DEBIAN_DIR)/tmp/ cppflags="-I/usr/include/libgtkhtml-3.14 -I/usr/include/libgtkhtml-3.14/editor"
 	touch $@
 
 
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Rupert Swarbrick <rswarbrick@gmail.com> to control@bugs.debian.org. (Mon, 28 Mar 2011 09:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Mon, 28 Mar 2011 09:42:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rupert Swarbrick <rswarbrick@gmail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Mon, 28 Mar 2011 09:42:13 GMT) Full text and rfc822 format available.

Message #61 received at 286672@bugs.debian.org (full text, mbox):

From: Rupert Swarbrick <rswarbrick@gmail.com>
To: 286672@bugs.debian.org
Subject: ... and with the actual contents of the patch!
Date: Mon, 28 Mar 2011 10:41:48 +0100
[Message part 1 (text/plain, inline)]
Sorry for spamming the bug report with a massive patch. Even sorrier for
sending the wrong one! This patch used the magic "-N" flag too and
actually contains the code that's required...

Rupert

[add-gnutls-support.patch.gz (application/octet-stream, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added indication that bug 286672 blocks 458363 Request was from Rupert Swarbrick <rswarbrick@gmail.com> to control@bugs.debian.org. (Tue, 29 Mar 2011 07:48:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Fri, 24 Jun 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Fri, 24 Jun 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #68 received at 286672@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Dan Wallis <mrdanwallis@gmail.com>
Cc: debian-legal@lists.debian.org, pascal@debian.org, jylefort@brutele.be, 286672@bugs.debian.org
Subject: Re: Mail Notification: OpenSSL+GPL on Debian
Date: Fri, 24 Jun 2011 01:00:38 -0700
[Message part 1 (text/plain, inline)]
Thanks for raising this issue.

On Fri, Jun 24, 2011 at 04:47:56PM +1200, Dan Wallis wrote:
> First off, apologies if I'm out of place in sending you this, or if
> it's already been discussed here before. I did search the archives
> [0], but didn't see any mention of this particular suggestion.

> As I understand things, there's currently a stalemate between the
> Debian policy, and the package author. I can see in the Ubuntu bug
> report [1] that there is what appears to be a well-written solution,
> with which the package author agrees, in comment #86 [2]. I am not a
> lawyer however, so would like to get the go-ahead from debian-legal.
> Does this logic seem sound from a legal point-of-view?

> Following on with that idea, would something as simple as the attached
> patch be sufficient to resolve this stalemate? If not, could you
> perhaps suggest suitable wording?

No, it would not.  Indicating in user-facing documentation that it is
recommended to use OpenSSL is not equivalent to granting distributors
permission to distribute binaries linked with OpenSSL as part of an OS.

However, in reading the bug log my understanding is the upstream author's
position is that the GPL does not require dynamically-linked libraries to be
distributed under the same license terms.  I don't believe this is an
accurate interpretation of the GPL as written, but if Jean-Yves is the sole
copyright holder of the work, then this is a clarification of the intended
license, which I believe is sufficient for Debian's purposes.  If there are
other copyright holders, we would need to get similar clarification of
intent, or an OpenSSL linking exception, from each of them.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Wed, 29 Jun 2011 03:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Wallis <mrdanwallis@gmail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Wed, 29 Jun 2011 03:33:06 GMT) Full text and rfc822 format available.

Message #73 received at 286672@bugs.debian.org (full text, mbox):

From: Dan Wallis <mrdanwallis@gmail.com>
To: debian-legal@lists.debian.org, pascal@debian.org
Cc: jylefort@brutele.be, 286672@bugs.debian.org
Subject: Re: Mail Notification: OpenSSL+GPL on Debian
Date: Wed, 29 Jun 2011 15:32:18 +1200
2011/6/24 Steve Langasek <vorlon@debian.org>:
> However, in reading the bug log my understanding is the upstream author's
> position is that the GPL does not require dynamically-linked libraries to be
> distributed under the same license terms.  I don't believe this is an
> accurate interpretation of the GPL as written, but if Jean-Yves is the sole
> copyright holder of the work, then this is a clarification of the intended
> license, which I believe is sufficient for Debian's purposes.  If there are
> other copyright holders, we would need to get similar clarification of
> intent, or an OpenSSL linking exception, from each of them.

That's great news. Thanks. :)

Pascal, as the package maintainer, would you be able to rebuild
mail-notification with TLS enabled? Hopefully it can also be included
in the next minor release of Squeeze.


Cheers
Dan




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Wed, 29 Jun 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Wed, 29 Jun 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #78 received at 286672@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Dan Wallis <mrdanwallis@gmail.com>
Cc: debian-legal@lists.debian.org, pascal@debian.org, jylefort@brutele.be, 286672@bugs.debian.org
Subject: Re: Mail Notification: OpenSSL+GPL on Debian
Date: Wed, 29 Jun 2011 07:52:39 +0100
On Wed, Jun 29, 2011 at 03:32:18PM +1200, Dan Wallis wrote:
> 2011/6/24 Steve Langasek <vorlon@debian.org>:
> > However, in reading the bug log my understanding is the upstream author's
> > position is that the GPL does not require dynamically-linked libraries to be
> > distributed under the same license terms.  I don't believe this is an
> > accurate interpretation of the GPL as written, but if Jean-Yves is the sole
> > copyright holder of the work, then this is a clarification of the intended
> > license, which I believe is sufficient for Debian's purposes.  If there are
> > other copyright holders, we would need to get similar clarification of
> > intent, or an OpenSSL linking exception, from each of them.

> That's great news. Thanks. :)

> Pascal, as the package maintainer,

Pascal is no longer the maintainer, actually; the maintainer is now LIU Qi. 
But the @bugs.debian.org address reaches him, so I guess he's following
along. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Sun, 10 Jul 2011 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Nickurak <jeremy@nickurak.ca>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sun, 10 Jul 2011 21:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 286672@bugs.debian.org (full text, mbox):

From: Jeremy Nickurak <jeremy@nickurak.ca>
To: 286672@bugs.debian.org
Date: Sun, 10 Jul 2011 15:10:58 -0600
Any headway here? Or does nobody use mail-notification anymore? If so,
maybe we should get this proposed for removal from the next debian
release?





Removed tag(s) wontfix. Request was from Dan Wallis <mrdanwallis@gmail.com> to control@bugs.debian.org. (Mon, 18 Jul 2011 05:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Mon, 18 Jul 2011 05:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Wallis <mrdanwallis@gmail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Mon, 18 Jul 2011 05:45:07 GMT) Full text and rfc822 format available.

Message #90 received at 286672@bugs.debian.org (full text, mbox):

From: Dan Wallis <mrdanwallis@gmail.com>
To: 286672@bugs.debian.org
Subject: Bug email working?
Date: Mon, 18 Jul 2011 17:44:02 +1200
For some reason I'm not getting email for this bug. Perhaps removing
the 'wontfix' tag will help...

Oh, and sorry LIU Qi, I should have seen your name at the top of the bug page.




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#286672; Package mail-notification. (Fri, 26 Aug 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dan Wallis <mrdanwallis@gmail.com>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Fri, 26 Aug 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #95 received at 286672@bugs.debian.org (full text, mbox):

From: Dan Wallis <mrdanwallis@gmail.com>
To: 286672@bugs.debian.org
Cc: LIU Qi <liuqi82@gmail.com>
Subject: Ping?
Date: Fri, 26 Aug 2011 15:17:27 +1200
As I understand things, there is no longer anything preventing this
from being distributed as the developer intended (ie, with TLS/SSL
support). What's the hold-up? How can the community help?




Added tag(s) pending. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 06 Sep 2011 23:03:03 GMT) Full text and rfc822 format available.

Added indication that bug 286672 blocks 428210 Request was from Dan Wallis <mrdanwallis@gmail.com> to control@bugs.debian.org. (Thu, 08 Sep 2011 02:36:03 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Wed, 14 Sep 2011 21:21:26 GMT) Full text and rfc822 format available.

Notification sent to Carlos Liu <carlosliu@users.sourceforge.net>:
Bug acknowledged by developer. (Wed, 14 Sep 2011 21:21:26 GMT) Full text and rfc822 format available.

Message #104 received at 286672-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 286672-close@bugs.debian.org
Subject: Bug#286672: fixed in mail-notification 5.4.dfsg.1-2.5
Date: Wed, 14 Sep 2011 21:18:05 +0000
Source: mail-notification
Source-Version: 5.4.dfsg.1-2.5

We believe that the bug you reported is fixed in the latest version of
mail-notification, which is due to be installed in the Debian FTP archive:

mail-notification-evolution_5.4.dfsg.1-2.5_i386.deb
  to main/m/mail-notification/mail-notification-evolution_5.4.dfsg.1-2.5_i386.deb
mail-notification_5.4.dfsg.1-2.5.debian.tar.gz
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-2.5.debian.tar.gz
mail-notification_5.4.dfsg.1-2.5.dsc
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-2.5.dsc
mail-notification_5.4.dfsg.1-2.5_i386.deb
  to main/m/mail-notification/mail-notification_5.4.dfsg.1-2.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 286672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated mail-notification package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Sep 2011 00:21:06 +0200
Source: mail-notification
Binary: mail-notification mail-notification-evolution
Architecture: source i386
Version: 5.4.dfsg.1-2.5
Distribution: unstable
Urgency: low
Maintainer: LIU Qi <liuqi82@gmail.com>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 mail-notification - mail notification in system tray
 mail-notification-evolution - evolution support for mail notification
Closes: 286672 458363 500880 523873 588998 639228 639966
Changes: 
 mail-notification (5.4.dfsg.1-2.5) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Update for Evolution 3.0 and GTK+ 3 (closes: #639228, #639966).
     Patches adapted from work done for Fedora Core 16.
   * Add stricter dependencies on Evolution, as suggested by Josselin
     Mouette.
   * Enable SSL, interpreting Jean-Yves Lefort's statements in
     https://launchpad.net/ubuntu/+bug/44335/comments/86 as sufficient
     clarification (see http://bugs.debian.org/286672#68 for details;
     closes: #286672, #458363; LP: #44335).
   * Avoid segfaulting if no display is found for the systray icon (patch
     provided by Julien Danjou; closes: #500880).
   * Correct format string error in the Polish translation (patch provided
     by Przemysław <prometheus@o2.pl>; closes: #523873).
   * Don't use <span> elements in notifications (closes: #588998).
   * Standards-Version 3.9.2, no change required.
   * Add build-arch and build-indep targets.
   * Document lintian override.
   * Remove Encoding key from .desktop files.
Checksums-Sha1: 
 56e7166addc73b073dfcaa1f6eba8bb435efa7e4 2126 mail-notification_5.4.dfsg.1-2.5.dsc
 4165ca5a71c41031a8fbd95ef8357df11dcc59b0 32867 mail-notification_5.4.dfsg.1-2.5.debian.tar.gz
 8d92d564e8cd8ef1bb600b2cd45b5520bb244837 436202 mail-notification_5.4.dfsg.1-2.5_i386.deb
 ade5f22ec201b93ce5ba823d02e8aba20e0e95c5 21244 mail-notification-evolution_5.4.dfsg.1-2.5_i386.deb
Checksums-Sha256: 
 d76014b7b5fe45e73c59a2144af594edf81fc1e20b9d3658391a4b04e5048b3e 2126 mail-notification_5.4.dfsg.1-2.5.dsc
 973a2402ac111525b92d7b41bdd1a7c88cfe9669e7fc3c9f3170b84a49eedeb6 32867 mail-notification_5.4.dfsg.1-2.5.debian.tar.gz
 36a3578d22f2fd319aa0e70345e62fea66708eec678d7740320f6b39ca0ca53c 436202 mail-notification_5.4.dfsg.1-2.5_i386.deb
 adbd3b983ddcf65402ba6fd16c6fc9090e6e80ebcc0827988d82dcebd128c22e 21244 mail-notification-evolution_5.4.dfsg.1-2.5_i386.deb
Files: 
 90b88590a72350d9b06699444e0d4b14 2126 gnome optional mail-notification_5.4.dfsg.1-2.5.dsc
 cfb201927d8ed5aef3018a4594577826 32867 gnome optional mail-notification_5.4.dfsg.1-2.5.debian.tar.gz
 765305e343ca79a9cee8ead49f0b26b3 436202 gnome optional mail-notification_5.4.dfsg.1-2.5_i386.deb
 d4ca181c99f108288ffcaa6875fa376f 21244 gnome optional mail-notification-evolution_5.4.dfsg.1-2.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOcRXTAAoJEKbcJNnaJJPR/ZkQAI3zF9W5C70/B0pfCpX7KZp0
VPf6XRZlRUKmYuVH/MbqVg6aIGCHtTSCzaES7yBGPYvIPVho5hzJs5LsnuLhJhO5
u0/8OdSl7RjvFKttYTsr9JRj9ZcpKfFJPSacsRzS6NYPWtoPMTQEp/qubqi3ac07
YEnZ7FNyZDdAur7Ja6G1aE49XbEnFx0qA5Je4veQFmXiovDNddpMyYUrcChCA0iw
1epOxWhNeJGQCF484x6LzSc/5VCYs5xYN2osoMH5RHIWTWAEXcbO7RZNdl5FppGo
DMWD0eyL3kz8GdW7JpJclaaRsurVfSXjaM3DLsjMgs72trSamfmJiw8xELfXvNWy
TubgPSa+JkBhDfNIwK14qcdrw9YFkge5fJOl8JJs370Uyx3HKTa5A3jWQPeXgFz2
j2S/cOZMV41NCg2A2fd3Y3YgKO3xwiVcwYfeC7HT5uq3angEkDO1RWjqUm6AHEQE
+RO0YlbFkD+D5wKZuRyptxFj1bhbCDgCrfspY1r8c5/agX2/xUNc9PtdoEtpaL29
UPxPf+Q1OCC5fn7untrzKIfXN8jeaDpsk8RK70n35v5vDWle9mpYVCNtE6QHkpj3
296AB9NB7i9c2JnejNo5Pl+fRP1r0M+UDstkQZcx1CFZ0ktw0b0mcaxXnrdliMwA
jsvmAMzAR7MqNtvldCkD
=Q/H4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Oct 2011 07:41:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:53:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.